<?php
require_once('../../../config.php');
require_once($CFG->dirroot . '/backup/util/includes/restore_includes.php');

$courseid = required_param('courseid', PARAM_INT);

$context = context_course::instance($courseid);
list($context, $course, $cm) = get_context_info_array($context->id);

$PAGE->set_url(new moodle_url('/local/dabar/upload/select.php', array('courseid'=>$courseid)));
$PAGE->set_context($context);
$PAGE->set_pagelayout('admin');
$PAGE->add_body_class('path-backup');

require_login($course);
require_capability('local/dabar:api_upload', $context);

$PAGE->set_title($course->shortname . ': ' . get_string('export_to_dabar', 'local_dabar'));
$PAGE->set_heading($course->fullname);
echo $OUTPUT->header();

$treeview_options = array();
$user_context = context_user::instance($USER->id);

$fs = get_file_storage();
$files = $fs->get_area_files($user_context->id, 'user', 'backup', false, 'timecreated');
$files = array_reverse($files);

$tablehead = array(
	get_string('filename', 'backup'),
	get_string('time'),
	get_string('size'),
	get_string('download'),
	'Postavi u Dabar'
);
$table = new html_table();
$table->attributes['class'] = 'backup-files-table generaltable';
$table->head = $tablehead;
$table->width = '100%';
$table->data = array();

foreach ($files as $file) {
	if ($file->is_directory()) {
		continue;
	}
	$fileurl = moodle_url::make_pluginfile_url(
		$file->get_contextid(),
		$file->get_component(),
		$file->get_filearea(),
		null,
		$file->get_filepath(),
		$file->get_filename(),
		true
	);
	$uploadurl = new moodle_url('/local/dabar/upload/review.php', array('courseid' => $context->instanceid, 'pathnamehash' => $file->get_pathnamehash(), 'contenthash' => $file->get_contenthash(), 'stage' => 1));
	$uploadlink = html_writer::link($uploadurl, get_string('export_to_dabar', 'local_dabar'));
	$downloadlink = html_writer::link($fileurl, get_string('download'));
	$tabledata = array(
		$file->get_filename(),
		userdate ($file->get_timemodified()),
		display_size ($file->get_filesize()),
		$downloadlink,
		$uploadlink
	);
	$table->data[] = $tabledata;
}
$html = html_writer::table($table);

echo $OUTPUT->heading_with_help(get_string('choosefilefromuserbackup', 'backup'), 'choosefilefromuserbackup', 'backup');
echo $OUTPUT->container_start();
echo $html;
echo $OUTPUT->container_end();

echo $OUTPUT->footer();